jogo={}

function jogo.load()
	k = love.keyboard -- Atalho para o comando 'love.keyboard'
	largura = love.graphics.getWidth() -- Largura da tela
	altura = love.graphics.getHeight() -- Altura da tela
	tela_jogo = 'jogo' -- Atribui à variável o valor 'jogo'

	-- Dados da nave --
	nave_img = imagem('nave.png')
	nave = {}
	nave.x = (largura - 50)/2
	nave.y = 500
	nave.width = 50
	nave.height = 50
	nave.velx = 300
	nave.vely = 300

	-- Dados da estrela --
	estrela = {}
	estrela.img = imagem('estrela2.png')
	estrela.x = 50
	estrela.y = 50
	estrela.velx = 500
	estrela.vely = 500

	-- Dados dos tiros --
	tiros = {}

	-- Quando uma tecla é pressionada, chama a função love.keypressed
	love.keypressed()

	-- Define uma foto ao background --
	bg_jogo = imagem('bg_jogo.png')
end

function jogo.update(dt)
	for i,v in ipairs(tiros) do
    	v.y = v.y - v.speed * dt
    	if v.y < 0 then
        	table.remove(tiros, 1)
    	end   
   	end

	if estrela.x + estrela.img:getWidth() > largura or estrela.x < 0 then
		estrela.velx = estrela.velx*-1
    		if estrela.x < 0 then
      			estrela.x = 0	 
    		else
	    		estrela.x = largura-1-estrela.img:getWidth()
    		end
	end

	estrela.x = estrela.x + estrela.velx*dt

----------- Movimento da nave ------------
	if k.isDown('left') then -- Comando para quando a seta esquerda for pressionada
		nave.x = nave.x - nave.velx*dt -- Faz a nave mover-se para esquerda
	end
	if k.isDown('right') then -- Comando para quando a seta direita for pressionada
		nave.x = nave.x + nave.velx*dt -- Faz a nave mover-se para direita
	end
	if nave.x < 0 then -- Faz com que a nave não saia da tela no eixo X
		nave.x = 0
	end
	if nave.x > 750 then -- Faz com que a nave não saia da tela no eixo Y
		nave.x = 750 -- 750 porque são os 800 da tela - os 50 de altura da nave
	end
end

function jogo.draw()
	love.graphics.setColor(255, 255, 255)
	desenhar(bg_jogo, 0, 0) -- Desenha do background do jogo
	desenhar(nave_img, nave.x, nave.y) -- Desenha a nave
	desenhar(estrela.img, estrela.x, estrela.y) -- Desenha a estrela

	love.graphics.setColor(255, 0, 0)
	for i, v in ipairs(tiros) do
    	love.graphics.rectangle("fill", v.x, v.y, v.width, v.height)
   	end
end

function love.keypressed(key)
	if key == "escape" then -- Faz com que, ao apertar 'esc', volte para o menu
      	tela_jogo = 'menu'
   	end

   	if key == " " then
       -- Atira uma "bala" --
      tiros[#tiros+1] = {
      y = 495,
      speed = 300,
      width = 7,
      height = 7,
      x = (nave.x + nave.width/2) - 3
  	}
   end 	
end